User Service
Update User Notification
UpdateUserNotification updates a notification.
Path Parameters
user*string
The user id.
notification*string
The notification id.
Query Parameters
updateMask?string
Format
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/users/string/notifications/string" \ -H "Content-Type: application/json" \ -d '{}'{ "name": "string", "sender": "string", "senderUser": { "name": "string", "role": "ROLE_UNSPECIFIED", "username": "string", "email": "string", "displayName": "string", "avatarUrl": "string", "description": "string", "password": "string", "state": "STATE_UNSPECIFIED", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" }, "status": "STATUS_UNSPECIFIED", "createTime": "2019-08-24T14:15:22Z", "type": "TYPE_UNSPECIFIED", "memoComment": { "memo": "string", "relatedMemo": "string", "memoSnippet": "string", "relatedMemoSnippet": "string" }, "memoMention": { "memo": "string", "relatedMemo": "string", "memoSnippet": "string", "relatedMemoSnippet": "string" }}